<template>
  <div id="app" class="wrap">
    <router-view></router-view>
  </div>
</template>

<script>
  import { mapActions } from 'vuex'

  export default {
    name: 'App',
    created () {
      this.loadPeriods()
    },
    methods: {
      ...mapActions(['loadPeriods'])
    }
  }
</script>

<style lang="scss" scoped>
  .wrap{
    height: 100%;
    padding: 40px 20px;
  }
</style>
